# ESP32 TB6612 麦轮车

## 特性

- ESP32 主控
- 四路 TB6612 电机驱动
- 麦轮车
- BLE 串口通信
- 循迹功能
- 手动控制

## 原理图

![原理图](./docs/原理图.png)

## 使用

### VSCode 安装 PlatformIO

### 下载项目

```bash
git clone https://github.com/colour93/esp32-car.git
```

### 打开项目并修改初始化设置

找到 `src/consts.example.h` 文件，复制一份并命名为 `src/consts.h`，根据实际情况，修改其中的内容。

### 上传

使用 PlatformIO 上传项目。

## BLE 串口通信协议

[数据包格式](./packet.md)